---
services:
  - docker:28.0.1-dind@sha256:9a651b22672c7151b5d8ca820ed2290b3fe4d4922e9b3f37ab14c8876da6613d

build:
  image: docker:28.0.1@sha256:9a651b22672c7151b5d8ca820ed2290b3fe4d4922e9b3f37ab14c8876da6613d
  stage: build
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CI_COMMIT_TAG == null
      variables:
        VERSION: "latest"
    - if: $CI_COMMIT_TAG != null
      variables:
        VERSION: "${CI_COMMIT_TAG}"
    - when: never
  before_script:
    - docker info
    - docker login -u "${CI_REGISTRY_USER}" -p "${CI_REGISTRY_PASSWORD}" "${CI_REGISTRY}"
  script:
    - docker build --tag "${CI_REGISTRY_IMAGE}:${VERSION}" .
    - docker push "${CI_REGISTRY_IMAGE}:${VERSION}"
